You are not logged in.

#1 2012-02-10 10:33:33

ee_lars
Member
From: France
Registered: 2008-01-30
Posts: 17

update of telepathy-kde (0.3)

Hello,

As you may know, telepathy-kde is out since some weeks (like kde 4.8).
Kde 4.8 is available via extra repositories of archlinux as usual, but nothing has been done for telepathy-kde and when you check for
flagged packages, you can see that some telepathy-kde components (like telepathy-gabble, telepathy-qt) are there waiting for an update.

I just want to know if there is some work on? some problems maybe? for making theses updates.
Thanks for your answers.

Offline

#2 2012-02-10 20:26:04

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,249

Re: update of telepathy-kde (0.3)

I guess the reason is that tp-kde 0.3 depends on tp-qt 0.9, which is an unstable version

Offline

#3 2012-02-11 14:52:19

ee_lars
Member
From: France
Registered: 2008-01-30
Posts: 17

Re: update of telepathy-kde (0.3)

Oh ok thanks for this info.
I hadn't checked telepathy-qt but just saw that it was flagged : let's wait for an official release smile

Offline

#4 2012-02-11 15:23:06

birdflesh
Member
From: Greece
Registered: 2010-08-04
Posts: 96

Re: update of telepathy-kde (0.3)

In the past, a development version has been used for the same reason. ( http://projects.archlinux.org/svntogit/ … 7ccd314a93 )

Anyway, since tp-kde is almost the only thing that uses tp-qt I believe that there is not much risk in updating to the 0.9 cycle.

Offline

#5 2012-02-14 18:11:03

ee_lars
Member
From: France
Registered: 2008-01-30
Posts: 17

Re: update of telepathy-kde (0.3)

Yes that's right.
I tried to compile telepathy-qt 0.9 and then ktp 0.3 and didn't encounter any problem...

But we have to be patient waiting for a stable telepathy-qt version.

Offline

#6 2012-02-14 18:22:45

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,249

Re: update of telepathy-kde (0.3)

birdflesh wrote:

In the past, a development version has been used for the same reason. ( http://projects.archlinux.org/svntogit/ … 7ccd314a93 )

tp-qt 0.9 completely changed the API, so all programs using it (only krdc?) need to be patched to compile against it. On the other hand it also changed its name tp-qt4 -> tp-qt, so in theory 0.8 and 0.9 could be installed in parallel without conflicts in the meantime.

Offline

#7 2012-02-16 15:21:08

Demon
Member
From: Republic of Srpska, BA
Registered: 2008-03-02
Posts: 229

Re: update of telepathy-kde (0.3)

Maybe the problem is because telepathy-qt wont compile. At least I can't get it to compile:

Nevermind that, I got it to compile. smile

Last edited by Demon (2012-02-16 15:24:50)

Offline

#8 2012-02-16 15:39:56

Loose_Control
Member
From: Germany
Registered: 2011-01-11
Posts: 128

Re: update of telepathy-kde (0.3)

i compiled telepathy-glib (17.4 16.4 doesnt work with telepathy-qt0.9) after that i tried too compile telepathy-qt 0.9 but that didnt work hmm telepathy-qt-git works...
telepathy-kde 0.3 in the repos would be nice

Last edited by Loose_Control (2012-02-16 15:41:31)

Offline

#9 2012-02-16 17:38:12

Demon
Member
From: Republic of Srpska, BA
Registered: 2008-03-02
Posts: 229

Re: update of telepathy-kde (0.3)

Here are my PKGBUILDs for telepathy-kde, in case someone is interested:

http://www.mediafire.com/?t2m505dnu4vbr21

Edit: Loose_Control, there's an error in a test within telepathy-qt, it's a simple workaround, here's the link: http://lists.freedesktop.org/archives/t … 16901.html

Last edited by Demon (2012-02-16 17:42:18)

Offline

#10 2012-02-29 21:58:12

Lexworth
Member
Registered: 2012-01-19
Posts: 36

Re: update of telepathy-kde (0.3)

Demon wrote:

Here are my PKGBUILDs for telepathy-kde, in case someone is interested:

http://www.mediafire.com/?t2m505dnu4vbr21

Edit: Loose_Control, there's an error in a test within telepathy-qt, it's a simple workaround, here's the link: http://lists.freedesktop.org/archives/t … 16901.html

Hmmm...Using your PKGBUILDs and applying the workaround you mentioned above I am still not able to build telepathy-qt

This is the error I'm getting now

==> Making package: telepathy-qt 0.9.0-1 (Wed Feb 29 16:50:27 EST 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found telepathy-qt-0.9.0.tar.gz
==> Validating source files with md5sums...
    telepathy-qt-0.9.0.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting telepathy-qt-0.9.0.tar.gz with bsdtar
==> Starting build()...
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Checking to see if CXX compiler accepts flag -fvisibility=hidden
-- Checking to see if CXX compiler accepts flag -fvisibility=hidden - yes
-- Checking to see if CXX compiler accepts flag -Wdeprecated-declarations
-- Checking to see if CXX compiler accepts flag -Wdeprecated-declarations - yes
-- Performing Test all_cxx_result
-- Performing Test all_cxx_result - Success
-- Performing Test extra_cxx_result
-- Performing Test extra_cxx_result - Success
-- Performing Test sign-compare_cxx_result
-- Performing Test sign-compare_cxx_result - Success
-- Performing Test pointer-arith_cxx_result
-- Performing Test pointer-arith_cxx_result - Success
-- Performing Test format-security_cxx_result
-- Performing Test format-security_cxx_result - Failed
-- Performing Test init-self_cxx_result
-- Performing Test init-self_cxx_result - Success
-- Performing Test non-virtual-dtor_cxx_result
-- Performing Test non-virtual-dtor_cxx_result - Success
-- Performing Test error_cxx_result
-- Performing Test error_cxx_result - Success
-- Performing Test missing-field-initializers_cxx_result
-- Performing Test missing-field-initializers_cxx_result - Success
-- Performing Test noerror_missing-field-initializers_cxx_result
-- Performing Test noerror_missing-field-initializers_cxx_result - Success
-- Performing Test unused-parameter_cxx_result
-- Performing Test unused-parameter_cxx_result - Success
-- Performing Test noerror_unused-parameter_cxx_result
-- Performing Test noerror_unused-parameter_cxx_result - Success
-- Performing Test all_c_result
-- Performing Test all_c_result - Success
-- Performing Test extra_c_result
-- Performing Test extra_c_result - Success
-- Performing Test declaration-after-statement_c_result
-- Performing Test declaration-after-statement_c_result - Success
-- Performing Test shadow_c_result
-- Performing Test shadow_c_result - Success
-- Performing Test strict-prototypes_c_result
-- Performing Test strict-prototypes_c_result - Success
-- Performing Test missing-prototypes_c_result
-- Performing Test missing-prototypes_c_result - Success
-- Performing Test sign-compare_c_result
-- Performing Test sign-compare_c_result - Success
-- Performing Test nested-externs_c_result
-- Performing Test nested-externs_c_result - Success
-- Performing Test pointer-arith_c_result
-- Performing Test pointer-arith_c_result - Success
-- Performing Test format-security_c_result
-- Performing Test format-security_c_result - Success
-- Performing Test init-self_c_result
-- Performing Test init-self_c_result - Success
-- Performing Test error_c_result
-- Performing Test error_c_result - Success
-- Performing Test missing-field-initializers_c_result
-- Performing Test missing-field-initializers_c_result - Success
-- Performing Test noerror_missing-field-initializers_c_result
-- Performing Test noerror_missing-field-initializers_c_result - Success
-- Performing Test unused-parameter_c_result
-- Performing Test unused-parameter_c_result - Success
-- Performing Test noerror_unused-parameter_c_result
-- Performing Test noerror_unused-parameter_c_result - Success
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt4: /usr/bin/qmake (found suitable version "4.8.0", required is "4.6.0")
-- Found Doxygen: /usr/bin/doxygen 
-- Found QHELPGENERATOR: /usr/bin/qhelpgenerator 
CMake Warning at cmake/modules/Doxygen.cmake:20 (message):
  html/qt.tags not found in /usr/share/doc/qt.  Set the QT_DOC_DIR variable
  to

  point to its location to enable crosslinking.
Call Stack (most recent call first):
  CMakeLists.txt:103 (include)


-- Performing Test QT_GLIB_SUPPORT
-- Performing Test QT_GLIB_SUPPORT - Success
-- Found PythonInterp: /usr/bin/python (found version "3.2.2")
-- Found Python executable: /usr/bin/python
-- Found Python version: 3.2.2
-- Python 3.2 found
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named dbus.mainloop.glib
-- checking for module 'glib-2.0'
--   found glib-2.0, version 2.30.2
-- Found GLIB2: /usr/lib/libglib-2.0.so 
-- checking for module 'gobject-2.0'
--   found gobject-2.0, version 2.30.2
-- Found GObject libraries: gobject-2.0;gthread-2.0;rt;glib-2.0
-- Found GObject includes : /usr/include/glib-2.0
-- checking for module 'gio-2.0'
--   found gio-2.0, version 2.30.2
-- Found GIO: /usr/lib/libgio-2.0.so 
-- checking for module 'gio-unix-2.0'
--   found gio-unix-2.0, version 2.30.2
-- Found GIOUNIX: /usr/include/gio-unix-2.0 
-- checking for module 'dbus-1'
--   found dbus-1, version 1.4.16
-- Found D-Bus: /usr/lib/libdbus-1.so
-- checking for module 'dbus-glib-1'
--   found dbus-glib-1, version 0.98
-- Found DBUS_GLIB: /usr/lib/libdbus-glib-1.so 
-- checking for module 'libxml-2.0'
--   found libxml-2.0, version 2.7.8
-- Found LibXml2: /usr/lib/libxml2.so 
-- checking for module 'telepathy-farsight>=0.0.4'
--   found telepathy-farsight, version 0.0.19
-- Found TelepathyFarsight: /usr/lib/libtelepathy-farsight.so 
-- checking for module 'gstreamer-0.10'
--   found gstreamer-0.10, version 0.10.35
-- Found GStreamer: /usr/lib/libgstreamer-0.10.so 
-- checking for module 'telepathy-glib>=0.17.2'
--   found telepathy-glib, version 0.17.4
-- Found TelepathyGlib: /usr/lib/libtelepathy-glib.so 

-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
   * Qt Glib Support - QtCore library using Glib's main event loop
   * Telepathy-Farsight - A Framework for dealing with audio/video conferencing protocols
   * GStreamer - An open source multimedia framework
   * Telepathy-glib - Glib bindings for Telepathy

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * dbus-python  <http://www.python.org/>
     GLib-based Python DBus support
     Needed to build some additional unit tests

-----------------------------------------------------------------------------

-- Configuring done
-- Generating done
-- Build files have been written to: /var/abs/local/kde-telepathy/telepathy-qt/src/build
[  0%] Scanning dependencies of target stable-ifaces-includator
Scanning dependencies of target example-extensions-connection-includator                      
Generating _gen/misc.xml                                                                      
[  0%] Scanning dependencies of target future-ifaces-includator                               
Scanning dependencies of target example-extensions-includator                                 
Generating _gen/param-spec-struct.h, _gen/example_callable.manager                            
[  0%] Generating _gen/connection.xml                                                         
[  0%] [  0%] [  0%] Generating _gen/future-spec.xml                                          
Generating _gen/stable-spec.xml                                                               
Generating _gen/all.xml                                                                       
Traceback (most recent call last):                                                            
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/manager-file.py", line 164, in <module>
    execfile(sys.argv[1], environment)
NameError: name 'execfile' is not defined
make[2]: *** [tests/lib/glib/callable/_gen/param-spec-struct.h] Error 1
make[1]: *** [tests/lib/glib/callable/CMakeFiles/example-cm-callable.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[  0%] Generating _gen/all.xml
Traceback (most recent call last):                                                            
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 36, in <module>
    xincludate(dom, argv[0])
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 14, in xincludate
    for i in xrange(dom.documentElement.attributes.length):
NameError: global name 'xrange' is not defined
make[2]: *** [tests/lib/glib/future/extensions/_gen/misc.xml] Error 1
make[2]: *** Waiting for unfinished jobs....
Traceback (most recent call last):
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 36, in <module>
    xincludate(dom, argv[0])
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 14, in xincludate
    for i in xrange(dom.documentElement.attributes.length):
NameError: global name 'xrange' is not defined
make[2]: *** [examples/extensions/_gen/connection.xml] Error 1
make[1]: *** [examples/extensions/CMakeFiles/example-extensions-connection-includator.dir/all] Error 2
Traceback (most recent call last):
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 36, in <module>
    xincludate(dom, argv[0])
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 14, in xincludate
    for i in xrange(dom.documentElement.attributes.length):
NameError: global name 'xrange' is not defined
make[2]: *** [TelepathyQt/_gen/future-spec.xml] Error 1
make[1]: *** [TelepathyQt/CMakeFiles/future-ifaces-includator.dir/all] Error 2
Traceback (most recent call last):
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 36, in <module>
    xincludate(dom, argv[0])
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 14, in xincludate
    for i in xrange(dom.documentElement.attributes.length):
NameError: global name 'xrange' is not defined
Traceback (most recent call last):
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 36, in <module>
    xincludate(dom, argv[0])
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 14, in xincludate
    for i in xrange(dom.documentElement.attributes.length):
NameError: global name 'xrange' is not defined
make[2]: *** [examples/extensions/_gen/all.xml] Error 1
make[1]: *** [examples/extensions/CMakeFiles/example-extensions-includator.dir/all] Error 2
Traceback (most recent call last):
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 36, in <module>
    xincludate(dom, argv[0])
  File "/var/abs/local/kde-telepathy/telepathy-qt/src/telepathy-qt-0.9.0/tools/xincludator.py", line 14, in xincludate
    for i in xrange(dom.documentElement.attributes.length):
NameError: global name 'xrange' is not defined
make[2]: *** [tests/lib/glib/future/extensions/_gen/all.xml] Error 1
make[1]: *** [tests/lib/glib/future/extensions/CMakeFiles/tp-glib-tests-future-extensions.dir/all] Error 2
make[2]: *** [TelepathyQt/_gen/stable-spec.xml] Error 1
make[1]: *** [TelepathyQt/CMakeFiles/stable-ifaces-includator.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

Offline

#11 2012-02-29 22:25:39

Demon
Member
From: Republic of Srpska, BA
Registered: 2008-03-02
Posts: 229

Re: update of telepathy-kde (0.3)

Lexworth, you need python 2.6 for compilation. Temporary remove python3 and try again.

Offline

#12 2012-03-01 02:13:28

Lexworth
Member
Registered: 2012-01-19
Posts: 36

Re: update of telepathy-kde (0.3)

Demon wrote:

Lexworth, you need python 2.6 for compilation. Temporary remove python3 and try again.

Thanks Demon, that did the trick.

And if anyone else is trying to build these and get errors building contact-applet and presence-applet its probably due to version 2.8 of cmake. More information and a replacement module can be downloaded from here https://bugs.kde.org/show_bug.cgi?id=293030 and here https://bugs.kde.org/attachment.cgi?id= … ction=edit

Offline

#13 2012-03-01 09:25:49

Demon
Member
From: Republic of Srpska, BA
Registered: 2008-03-02
Posts: 229

Re: update of telepathy-kde (0.3)

Updated PKGBUILDs:

http://www.mediafire.com/?p5l75x2mudvswu8

Note: I didn't add a fix for contact-applet and presence-applet this time.

Offline

#14 2012-03-29 18:16:36

ee_lars
Member
From: France
Registered: 2008-01-30
Posts: 17

Re: update of telepathy-kde (0.3)

Thanks for your answers all!!
1 month passed already but nothing really changed : just saw that telepathy-qt4 has been flagged again on 2012-02-29. I'm really unable to find out if telepathy-qt4 0.9 is the actual version or if it's still the 0.8 one

It seems telepathy-kde 0.4 will be out at the end of april so let's hope we can profite of its great new features quickly!!!

Offline

#15 2012-03-29 18:51:11

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,249

Re: update of telepathy-kde (0.3)

telepathy-glib 0.17 is in [gnome-unstable], I guess it will be moved to [extra] together with GNOME 3.4, and this will unblock the updates of tp-qt and tp-kde

Offline

#16 2012-03-30 14:44:07

ee_lars
Member
From: France
Registered: 2008-01-30
Posts: 17

Re: update of telepathy-kde (0.3)

Ok quite logical as telepathy-glib is a dependency of telepathy-farsight and is required to compile telepathy-qt4 smile
Thanks for it arojas.

Offline

#17 2012-04-04 08:04:22

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 568
Website

Re: update of telepathy-kde (0.3)

birdflesh wrote:

In the past, a development version has been used for the same reason. ( http://projects.archlinux.org/svntogit/ … 7ccd314a93 )

Anyway, since tp-kde is almost the only thing that uses tp-qt I believe that there is not much risk in updating to the 0.9 cycle.

You are right, we could use an unstable version of tp-qt. At least in theory.
Tp-qt 0.9 needs tp-glib >= 0.17, which is unsupported by gnome 3.2. I had to wait gnome 3.4 to enter [testing] before I can proceed with the updates. Plus, I have been busy in these days.

Anyway, KTP 0.3.1 is now in [testing], please try it and let me know smile

Please report any packaging bugs/feature requests to our bug tracker. (Upstream bugs go to the upstream bug tracker)
Thanks

arojas wrote:

telepathy-glib 0.17 is in [gnome-unstable], I guess it will be moved to [extra] together with GNOME 3.4, and this will unblock the updates of tp-qt and tp-kde

You got it wink

Offline

#18 2012-04-04 09:02:25

ee_lars
Member
From: France
Registered: 2008-01-30
Posts: 17

Re: update of telepathy-kde (0.3)

Thats a great new!!!

Thanks a lot for your work bash smile

Offline

#19 2012-04-04 20:10:13

birdflesh
Member
From: Greece
Registered: 2010-08-04
Posts: 96

Re: update of telepathy-kde (0.3)

Thanks for the packages and for clearing things out bash.

I noticed something and I'm not sure if this is upstream or distro specific:
/usr/share/applications/kde4/ktp-send-file.desktop, owned by telepathy-kde-send-file, would make more sense if installed at /usr/share/kde4/services/ServiceMenus/.

Kubuntu package installs it in the applications folder too, fedora package installs it in ServiceMenus folder.

Offline

#20 2012-04-04 20:42:58

Demon
Member
From: Republic of Srpska, BA
Registered: 2008-03-02
Posts: 229

Re: update of telepathy-kde (0.3)

birdflesh, I've already reported this, and it is fixed in trunk.

Offline

#21 2012-04-04 20:45:38

birdflesh
Member
From: Greece
Registered: 2010-08-04
Posts: 96

Re: update of telepathy-kde (0.3)

@Demon, cool cool

Offline

Board footer

Powered by FluxBB